/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

// sc
#include "PropGetItem.h"


namespace svn
{

PropGetItem::PropGetItem( const sc::String& pathOrUrl, const sc::String& value )
: _pathOrUrl(pathOrUrl), _value(value)
{
}

PropGetItem::PropGetItem( const PropGetItem& src )
: _pathOrUrl(src._pathOrUrl), _value(src._value)
{
}

const sc::String& PropGetItem::getPathOrUrl() const
{
  return _pathOrUrl;
}

const sc::String& PropGetItem::getValue() const
{
  return _value;
}

} // namespace
